scala.collection.immutable
class ImmutableIterator

[source: `scala/collection/immutable/ImmutableIterator.scala`]

`sealed abstract` `class` ImmutableIterator[+A]
  `extends` AnyRef

  A stateless iterator.

Author
  Sean McDirmid
Version
  1.0

Direct Known Subclasses:
  ImmutableIterator.Empty

Method Summary
`def` | append [B >: A](item : B, right : () => ImmutableIterator[B]) : ImmutableIterator[B] Creates a new immutable iterator that appends item and a lazy immutable iterator (right) to this immutable iterator.
`def` | append [B >: A](right : () => ImmutableIterator[B]) : ImmutableIterator[B] Creates a new immutable iterator that appends a lazy immutable iterator (right) to this immutable iterator.
`def` | append [B >: A](item : B) : ImmutableIterator[B] Creates a new immutable iterator that appends item to this immutable iterator.
`def` | elements : Iterator[A] Converts this immutable iterator into a conventional iterator.
`abstract def` | hasNext : Boolean queries if this iterator has an element to return.
`abstract def` | next : (A, ImmutableIterator[A]) returns the next element and immutable iterator as a pair.

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`abstract` `def` hasNext : Boolean

  queries if this iterator has an element to return.

`abstract` `def` next : (A, ImmutableIterator[A])

  returns the next element and immutable iterator as a pair.

`` `def` append[B >: A](item : B) : ImmutableIterator[B]

  Creates a new immutable iterator that appends item to this immutable iterator.

`` `def` append[B >: A](item : B, right : () => ImmutableIterator[B]) : ImmutableIterator[B]

  Creates a new immutable iterator that appends item and a lazy immutable iterator (right) to this immutable iterator.

Parameters
  `item -` ...
  `right -` ...
Returns
  ...

`` `def` append[B >: A](right : () => ImmutableIterator[B]) : ImmutableIterator[B]

  Creates a new immutable iterator that appends a lazy immutable iterator (right) to this immutable iterator.

`` `def` elements : Iterator[A]

  Converts this immutable iterator into a conventional iterator.